org.apache.lucene.codecs.bloom

## Class BloomFilteringPostingsFormat.BloomFilteredFieldsProducer

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.codecs.FieldsProducer
    - - org.apache.lucene.codecs.bloom.BloomFilteringPostingsFormat.BloomFilteredFieldsProducer

All Implemented Interfaces:
  Closeable, AutoCloseable, Iterable<String>

Enclosing class:
  BloomFilteringPostingsFormat

    public class BloomFilteringPostingsFormat.BloomFilteredFieldsProducer
    extends FieldsProducer

### Field Summary

### Fields inherited from class org.apache.lucene.index.Fields

`EMPTY_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`BloomFilteringPostingsFormat.BloomFilteredFieldsProducer(SegmentReadState state)`

### Method Summary

Methods
`void` `close()`
`long` `getUniqueTermCount()`
`Iterator<String>` `iterator()`
`int` `size()`
`Terms` `terms(String field)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BloomFilteringPostingsFormat.BloomFilteredFieldsProducer

    public BloomFilteringPostingsFormat.BloomFilteredFieldsProducer(SegmentReadState state)
                                                             throws IOException

Throws:
  `IOException`

### Method Detail

#### iterator

    public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`
Specified by:
  `iterator` in class `Fields`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `FieldsProducer`
Throws:
  `IOException`

#### terms

    public Terms terms(String field)
                throws IOException

Specified by:
  `terms` in class `Fields`
Throws:
  `IOException`

#### size

    public int size()

Specified by:
  `size` in class `Fields`

#### getUniqueTermCount

    public long getUniqueTermCount()
                            throws IOException

Overrides:
  `getUniqueTermCount` in class `Fields`
Throws:
  `IOException`